<?php

if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$tempColumns = array(
	'tx_youtubevideo_url' => array(		
		'exclude' => 0,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_url.title',		
		'config' => array(
			'type' => 'input',	
			'size' => '50',
			'eval' => 'required',
			'requiredCond' => '!field',
		),
	),
	'tx_youtubevideo_caption' => array(		
		'exclude' => 1,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_caption.title',		
		'config' => array(
			'type' => 'input',	
			'size' => '50',
		),
	),
	'tx_youtubevideo_autoplay' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_autoplay.title',		
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:lang/locallang_core.xlf:labels.enabled',
                 ),
            ),
		),
	),
	'tx_youtubevideo_showinfo' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_showinfo.title',		
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:lang/locallang_core.xlf:labels.enabled',
                 ),
            ),
		),
	),
    'tx_youtubevideo_rel' => array (		
		'exclude' => 1,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_rel.title',		
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:lang/locallang_core.xlf:labels.enabled',
                 ),
            ),
		),
	),
	'tx_youtubevideo_startminute' => array(		
		'exclude' => 0,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_startminute.title',		
		'config' => array(
			'type' => 'input',	
			'size' => '1',
		),
	),
	'tx_youtubevideo_startsecond' => array(		
		'exclude' => 0,		
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_startsecond.title',		
		'config' => array(
			'type' => 'input',	
			'size' => '1',
		),
	),
	'tx_youtubevideo_ratio' => array(
        'exclude' => 1,
        'label'   => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_ratio.title',
        'config'  => array(
            'type'     => 'select',
            'items'    => array(), /* items set in page TsConfig */
            'size'     => 1,
            'maxitems' => 1
        )
    ),
);



t3lib_div::loadTCA('tt_content');
t3lib_extMgm::addTCAcolumns('tt_content',$tempColumns,1);
t3lib_extMgm::addStaticFile($_EXTKEY,'Configuration/TypoScript/', 'YouTube Video');

t3lib_extMgm::addLLrefForTCAdescr('tt_content', 'EXT:youtubevideo/Resources/Private/Language/locallang_db.xml');


t3lib_extMgm::addPlugin(array('LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title', $_EXTKEY . '_pi1', t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon_sml.gif'),'CType');


$TCA['tt_content']['types'][$_EXTKEY . '_pi1']['showitem'] = '

	--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
	
    --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.header;header,
    
    --palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title;youtubevideoMain,
    --palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.settings;youtubevideoSettings,
    
    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.appearance,
    	--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.frames;frames,
    
    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,
        --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.visibility;visibility,
        --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.access;access,

    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.behaviour,
    
    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.extended';

    
 $TCA['tt_content']['palettes']['youtubevideoMain']['showitem'] = '
	tx_youtubevideo_url,
	--linebreak--,
	tx_youtubevideo_caption';
 
 $TCA['tt_content']['palettes']['youtubevideoMain']['canNotCollapse'] = 1; 
 
 $TCA['tt_content']['palettes']['youtubevideoSettings']['showitem'] = '
	tx_youtubevideo_ratio,tx_youtubevideo_startminute,tx_youtubevideo_startsecond,
	--linebreak--,
	tx_youtubevideo_autoplay,tx_youtubevideo_showinfo,tx_youtubevideo_rel,
	
 ';

$TCA['tt_content']['ctrl']['typeicons'][$_EXTKEY . '_pi1'] = t3lib_extMgm::extRelPath($_EXTKEY) . '/ext_icon_sml.gif';
$TCA['tt_content']['ctrl']['typeicon_classes'][$_EXTKEY . '_pi1'] =  'extensions-'.$_EXTKEY.'-type-xyz';
if (TYPO3_MODE == 'BE') {
  $icons = array(
    'type-xyz' => t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon_sml.gif',
  );
  t3lib_SpriteManager::addSingleIcons($icons, $_EXTKEY);
}

?>